
var w = window.innerWidth, h = window.innerHeight;

const svg = d3.select("#drawRegion")
  .append("svg")
  .attr("width", "100%")
  .attr("height", "600");

svg.append("rect")
  .attr("x", "0")
  .attr("y", "0")
  .attr("width", w)
  .attr("height", h) 
  .attr("fill", "yellow");

var con = svg.append("g")
    .attr("transform", "translate(" + w/2 + "," + h/2 + ")")
	  .attr("id","gvid1")
 	
con.append("circle")
		.attr('r','10')
		.attr('fill','red')
    
var con1 = con.append("g")
.append("g")
    .attr("transform", "translate(0,0)")
	  .attr("id","gvid2")

con1.append("circle")
		.attr('r','5')
		.attr('fill','blue')

const fObj = con1
  .append("foreignObject");


fObj
  .attr("x", "0")
  .attr("y", "0")
  .attr("class", "web-cam")
  .attr("width", "500")
  .attr("height", "500")
  .attr("id", "videopattern")

const div = fObj
  .append("xhtml:div")
  .attr("width", "500")
  .attr("height", "500")
  .attr("class", "div2")

const vidObj = div
  .append("xhtml:video");
  vidObj
  .attr("width", "100%")
  .attr("height", "100%") 
  .attr("class", "video2")
  .attr("id", "vid")
  //.attr("autoplay", true)

  
  const src = vidObj.
  append("xhtml:source");
  src
    .attr("type", "video/mp4")
    .attr("src", "https://www.w3schools.com/html/mov_bbb.mp4")
		
		




// PLANETS


  var t0 = Date.now();

  var planets = [
    { R: 100, r:  5, speed: 5, phi0: 90},
    { R: 150, r: 10, speed: 2, phi0: 190}
  ];

// sun
  svg.append("circle").attr("r", 20).attr("cx", w/2)
    .attr("cy", h/2).attr("class", "sun").attr("fill","white")

  var container = svg.append("g")
    .attr("transform", "translate(" + w/2 + "," + h/2 + ")")

  container.selectAll("g.planet").data(planets).enter().append("g")
    .attr("class", "planet").each(function(d, i) {
      d3.select(this).append("circle").attr("class", "orbit")
        .attr("r", d.R);
      d3.select(this).append("circle").attr("r", d.r).attr("cx",d.R)
        .attr("cy", 0).attr("class", "planet");
    });

  d3.timer(function() {
    var delta = (Date.now() - t0);
    svg.selectAll(".planet").attr("transform", function(d) {
      return "rotate(" + d.phi0 + delta * d.speed/200 + ")";
    });
    
    var rot = 90 + delta * 5/200
    console.log(" w/2 + "," + h/2", w/2-50 + "," + h/2)
    svg.selectAll("#gvid1").attr("transform", function(d) {
      return "rotate( " + 90 + delta * 5/200 + "," + (w/2-125) + "," + (h/2-125) + ")";
    });
    con.selectAll("#gvid2").attr("transform", function(d) {
      return "rotate( " + -90 + delta * 5/200 + ")";
    });
  });

 
// LEFT RIGHT
function animateVideo(){
 	fObj.transition().duration(7000 ) 
	.attr('transform' ,`translate(650,0)`)
  .transition().duration(7000 ) 
	.attr('transform' ,`translate(0,0)`) 
  .on("end", animateVideo)
}
//animateVideo()


// image in circle
//addimage() 
function addimage() {
  var imgurl = "http://wallpapers.androlib.com/wallicons/wallpaper.big-pqC.cs.png"



  var defs = svg.append("defs").attr("id", "imgdefs")
  var catpattern = defs.append("pattern")
                          .attr("id", "catpattern")
                          .attr("height", 1)
                          .attr("width", 1)
                          .attr("x", "0")
                          .attr("y", "0")

  catpattern.append("image")
       .attr("x", -130)
       .attr("y", -220)
       .attr("height", 640)
       .attr("width", 480)
       .attr("xlink:href", imgurl)

  svg.append("circle")
      .attr("r", 100)
      .attr("cy", 80)
      .attr("cx", 120)
      .attr("fill", "url(#catpattern)")
}